Web   ·   Wiki   ·   Activities   ·   Blog   ·   Lists   ·   Chat   ·   Meeting   ·   Bugs   ·   Git   ·   Translate   ·   Archive   ·   People   ·   Donate
summaryrefslogtreecommitdiffstats
path: root/lib
diff options
context:
space:
mode:
authorDaniel Drake <dsd@laptop.org>2009-12-21 20:23:48 (GMT)
committer Daniel Drake <dsd@laptop.org>2009-12-21 20:23:48 (GMT)
commitb802b6641dff5c6e7d903e8d41116b8c2133ea25 (patch)
tree656774343a78fe36e7220579879ff53f43279908 /lib
Initial import
Basic functionality is working, needs more testing and a comparison to the OLPC OS 10.1.0 release.
Diffstat (limited to 'lib')
-rw-r--r--lib/ooblib.pycbin0 -> 1089 bytes
-rw-r--r--lib/shlib.sh28
2 files changed, 28 insertions, 0 deletions
diff --git a/lib/ooblib.pyc b/lib/ooblib.pyc
new file mode 100644
index 0000000..c081054
--- /dev/null
+++ b/lib/ooblib.pyc
Binary files differ
diff --git a/lib/shlib.sh b/lib/shlib.sh
new file mode 100644
index 0000000..1a605ed
--- /dev/null
+++ b/lib/shlib.sh
@@ -0,0 +1,28 @@
+# Copyright (C) 2009 One Laptop Per Child
+# Licensed under the terms of the GNU GPL v2 or later; see COPYING for details.
+
+set -e
+
+libdir=$OOB__libdir
+bindir=$OOB__bindir
+builddir=$OOB__builddir
+cachedir=$OOB__cachedir
+intermediatesdir=$OOB__intermediatesdir
+outputdir=$OOB__outputdir
+statedir=$OOB__statedir
+fsmount=$OOB__fsmount
+
+read_config() {
+ local vname="CFG_$1__$2"
+ echo ${!vname}
+}
+
+read_buildnr() {
+ local buildnr_path=$intermediatesdir/buildnr
+ if [[ -e $buildnr_path ]]; then
+ echo "$(<$buildnr_path)"
+ else
+ echo "0"
+ fi
+}
+